using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace ITVisions
{
 public class WebsiteInfo
 {
  [MinLength(5)]
  [MaxLength(30)]
  public string Autor { get; set; }
  [Range(2016, 2099)]
  public int Jahr { get; set; }
  public string Version { get; set; }
  public WebsiteInfo()
  {

  }
  public WebsiteInfo(string autor, int jahr, Version version)
  {
   this.Autor = autor;
   this.Jahr = jahr;
   this.Version = version.ToString();
  }
 }
}
